Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 137422 - [Tracker] vmware-modules ebuilds
Summary: [Tracker] vmware-modules ebuilds
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL: http://overlays.gentoo.org/svn/proj/v...
Whiteboard:
Keywords: Tracker
Depends on: 142848 142855 146004 148613
Blocks: 122500
  Show dependency tree
 
Reported: 2006-06-20 14:32 UTC by Chris Gianelloni (RETIRED)
Modified: 2017-01-19 18:47 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
000_all_makefile-include-directory.patch (000_all_makefile-include-directory.patch,342 bytes, patch)
2006-08-03 16:45 UTC, Alon Bar-Lev
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Gianelloni (RETIRED) gentoo-dev 2006-06-20 14:32:11 UTC
This is the tracker bug for the vmware-modules ebuilds from the vmware overlay.  This is split off to try to reduce the pressure on bug #122500 by separating out issues to specific packages.
Comment 1 Mike Auty gentoo-dev 2006-06-25 12:52:45 UTC
Ok, first up on the list of problems is Michael.  For the full details of his problem please see bug 122500 comment 378.

Right, well, I've had those exact sources working ok on a very similar build.  You've got a couple of unusual settings that I'd like you to turn off temporarily whilst rebuild the modules, to see whether they'll work.

First off please turn off the LDFLAGS changes you've made (so simply 'LDFLAGS="" emerge...') and also, please adjust your CFLAGS (temporarily) to not include -fforce-addr.  Once you've made those changes, please try a recompile of the vmware-modules package.  Double check that the modules have been removed (lsmod, and then rmmod or a reboot if you don't have module unloading in your kernel).

Once all that's done, if you're still getting the problem, then I'll go have another think.  If you're not, then please re-enable the options one step at a time, and we'll try to figure out which one's causing the problem...  5:)
Comment 2 Michael Cramer 2006-06-26 08:57:53 UTC
i recompiled the modules under the new running kernel with no change in settings now everything works. don't know what the problem was.
Comment 3 Mike Auty gentoo-dev 2006-06-26 15:06:44 UTC
Hi Michael, glad to hear it's all working for you now.  If you ever discover any further details over what might have been causing it, do please post it here in case anyone else runs into it again.  Thanks...  5:)
Comment 4 James Smith 2006-07-01 16:49:44 UTC
Hi guys. Having a little problem emerging a checkout from Gentoo Overlays. Upon emerging vmware-modules-1.0.0.15:

===

Calculating dependencies ...done!
>>> emerge (1 of 2) app-emulation/vmware-modules-1.0.0.15 to /
>>> md5 files   ;-) vmware-modules-1.0.0.11.ebuild
>>> md5 files   ;-) vmware-modules-1.0.0.13.ebuild
>>> md5 files   ;-) vmware-modules-1.0.0.8.ebuild
>>> md5 files   ;-) vmware-modules-1.0.0.15.ebuild
>>> md5 files   ;-) files/digest-vmware-modules-1.0.0.11
>>> md5 files   ;-) files/digest-vmware-modules-1.0.0.13
>>> md5 files   ;-) files/digest-vmware-modules-1.0.0.14
>>> md5 files   ;-) files/digest-vmware-modules-1.0.0.15
>>> md5 files   ;-) files/digest-vmware-modules-1.0.0.8
>>> md5 files   ;-) files/patches/000_all_makefile-include-directory.patch
>>> md5 src_uri ;-) vmware-modules-1.0.0.15.tar.gz
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.15-gentoo-r7
>>> Unpacking source...
>>> Unpacking vmware-modules-1.0.0.15.tar.gz to /var/tmp/portage/vmware-modules-1.0.0.15/work
>>> Unpacking ./vmware-any-any-update101/vmmon.tar to /var/tmp/portage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...                 [ ok ]
>>> Unpacking ./vmware-any-any-update101/vmnet.tar to /var/tmp/portage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...                 [ ok ]
>>> Source unpacked.
 * Preparing vmmon module
Using standalone build system.
 * Preparing vmnet module
Using standalone build system.
In file included from /usr/include/linux/if_ether.h:107,
                 from /usr/include/linux/netdevice.h:29,
                 from userif.c:19:
/usr/include/linux/skbuff.h:30:26: net/checksum.h: No such file or directory
In file included from /usr/include/linux/if_ether.h:107,
                 from /usr/include/linux/netdevice.h:29,
                 from driver.c:23:
/usr/include/linux/skbuff.h:30:26: net/checksum.h: No such file or directory
In file included from /usr/include/linux/if_ether.h:107,
                 from /usr/include/linux/netdevice.h:29,
                 from hub.c:19:
/usr/include/linux/skbuff.h:30:26: net/checksum.h: No such file or directory
In file included from hub.c:25:
compat_sock.h:5:22: net/sock.h: No such file or directory
In file included from userif.c:24:
compat_sock.h:5:22: net/sock.h: No such file or directory
In file included from driver.c:29:
compat_sock.h:5:22: net/sock.h: No such file or directory
userif.c: In function `VNetCsumCopyDatagram':
userif.c:552: warning: implicit declaration of function `csum_and_copy_to_user'
userif.c:588: warning: implicit declaration of function `csum_fold'
make: *** [driver.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [hub.o] Error 1
make: *** [userif.o] Error 1

!!! ERROR: app-emulation/vmware-modules-1.0.0.15 failed.
!!! Function linux-mod_src_compile, Line 515, Exitcode 2
!!! Unable to make   auto-build VMWARE_VER=VME_V55.
!!! If you need support, post the topmost build error, NOT this status message.

===

Any suggestions?
Comment 5 Mike Auty gentoo-dev 2006-07-02 01:13:43 UTC
Hi James, yep, you identified a bug for me, thanks!

So, as you can see it thinks it should be applying some patches, but then it doesn't actually end up applying anything.  That's because it doesn't know what file extension the patches end in (and it expects .bz2 or something silly by default).  So I've fixed up the vmware-mod.eclass, so please do an update of the repository and then try re-emerging it and see if it works for you...  5:)
Comment 6 David Bailey 2006-07-02 12:57:36 UTC
I'm getting an error using the ebuild. I've added a few einfo lines into the linux-mod.eclass to get some information about what is trying to be accomplished (the lines after the " * Installing vmmon module" line.) The following is the bottom of the emerge vmware-modules output.

----------------

>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/vmware-modules-1.0.0.15/work ...
 * Preparing vmmon module
Using standalone build system.
 * Preparing vmnet module
Using standalone build system.
>>> Source compiled.
>>> Test phase [not enabled]: app-emulation/vmware-modules-1.0.0.15

>>> Install vmware-modules-1.0.0.15 into /var/tmp/portage/vmware-modules-1.0.0.15/image/ category app-emulation
 * Installing vmmon module
 * pwd /var/tmp/portage/vmware-modules-1.0.0.15/work
 * cd /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only
 * Installing into /lib/modules/2.4.28/misc
 * doins vmmon.o
install: cannot stat `vmmon.o': No such file or directory

!!! ERROR: app-emulation/vmware-modules-1.0.0.15 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_install
  ebuild.sh, line 1013:   Called src_install
  ebuild.sh, line 1248:   Called vmware-mod_src_install
  vmware-mod.eclass, line 64:   Called linux-mod_src_install
  linux-mod.eclass, line 547:   Called die

!!! doins vmmon.o failed
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! This ebuild is from an overlay: '/usr/local/portage'

-------------

The odd thing is that the compiled modules are there, just apparently in the parent of where the script thinks they should be:

----------

computer work # pwd
/var/tmp/portage/vmware-modules-1.0.0.15/work
computer work # l
total 115
drwxr-xr-x 8 root root   336 Jul  2 15:38 vmmon-only
-rw-r--r-- 1 root root 68235 Jul  2 15:38 vmmon.o
drwxr-xr-x 2 root root  1712 Jul  2 15:38 vmnet-only
-rw-r--r-- 1 root root 42694 Jul  2 15:38 vmnet.o
drwxr-xr-x 2 root root   112 Jun  7 17:49 vmware-any-any-update101

----------

The script apparently is looking for the vmmon.o file in the vmmon-only directory, and it isn't there.

Here's the output from emerge --info

----------

Portage 2.1-r1 (default-linux/x86/no-nptl/2.4, gcc-20050130, glibc-2.3.6-r4, 2.4.28 i686)
=================================================================
System uname: 2.4.28 i686 Intel(R) Xeon(TM) CPU 2.80GHz
Gentoo Base System version 1.6.15
dev-lang/python:     2.3.5, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.4.26-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mcpu=i686 -march=i686 -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/lib/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/terminfo"
CXXFLAGS="-O2 -mcpu=i686 -march=i686 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa apache2 apm arts avi berkdb bindist bitmap-fonts bootsplash cli crypt cups curl dri eds emboss encode foomaticdb fortran gd gdbm gif gnome gpm gstreamer gtk gtk2 imlib innodb ipv6 isdnlog jpeg kde kerberos krb4 libg++ libwww mad mikmod mmx motif mp3 mpeg mysql ncurses nls ntlm ogg opengl oss pam pcre pdflib perl png pppd python qt qt3 qt4 quicktime readline reflection samba sdl session skey spell spl sse ssl tcpd truetype truetype-fonts type1-fonts vhosts vorbis x86 xinerama xml xmms xorg xscreensaver xv zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU video_cards_nvidia"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS

---------------

Apparently there are precious few else having this problem, or else they are remaining quiet. My apologies if its an environment issue, but I've been unable to resolve it.
Comment 7 Mike Auty gentoo-dev 2006-07-02 14:18:43 UTC
David, not to worry, filing bugs is what bugzilla's all about, hopefully we can help you out.  5:)

First off, it looks like you're suffering the same problem that James was in comment 4, in that you build system also says it's using the standalone build system, rather than the kernel-2.6 build system.  Having said that though, it shouldn't use the 2.6 build system, since you're on a 2.4 kernel.  Sadly I've had exactly zero experience with compiling all this for the 2.4 kernel, so you'll have to be my guinea pig...

Having said that, it's clear it's building it for your running kernel, rather than for the one that /usr/src/linux points at, which was the bug James was having in comment 4, so could you please update your repository and give that a go, and report back the results after.  If that fails I might just add a manual line it to do the copy if the files are there.  We shall see...  5:)
Comment 8 Michael Cramer 2006-07-07 13:30:05 UTC
today i got this:

>>> Compiling source in /var/tmp/portage/vmware-modules-1.0.0.15/work ...
 * Preparing vmmon module
Using standalone build system.
In file included from /usr/include/linux/irq.h:23,
                 from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:7,
                 from /usr/include/linux/interrupt.h:11,
                 from .././linux/driver.c:20:
/usr/include/asm/irq.h:16:25: error: irq_vectors.h: No such file or directory
In file included from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:7,
                 from /usr/include/linux/interrupt.h:11,
                 from .././linux/driver.c:20:
/usr/include/linux/irq.h:86: error: 'NR_IRQS' undeclared here (not in a function)
In file included from /usr/include/linux/irq.h:95,
                 from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:7,
                 from /usr/include/linux/interrupt.h:11,
                 from .././linux/driver.c:20:
/usr/include/asm/hw_irq.h:30: error: 'NR_IRQ_VECTORS' undeclared here (not in a function)
In file included from /usr/include/asm/fixmap.h:27,
                 from /usr/include/asm/pgtable.h:17,
                 from /usr/include/linux/mm.h:38,
                 from /usr/include/linux/poll.h:11,
                 from .././linux/driver.c:25:
/usr/include/asm/acpi.h:31:28: error: acpi/pdc_intel.h: No such file or directory
In file included from /usr/include/asm/fixmap.h:27,
                 from /usr/include/asm/pgtable.h:17,
                 from /usr/include/linux/mm.h:38,
                 from .././include/compat_page.h:5,
                 from .././linux/hostif.c:18:
/usr/include/asm/acpi.h:31:28: error: acpi/pdc_intel.h: No such file or directory
In file included from /usr/include/linux/irq.h:23,
                 from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:7,
                 from /usr/include/linux/interrupt.h:11,
                 from /usr/include/linux/rtc.h:102,
                 from /usr/include/linux/mc146818rtc.h:15,
                 from .././linux/hostif.c:44:
/usr/include/asm/irq.h:16:25: error: irq_vectors.h: No such file or directory
In file included from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:7,
                 from /usr/include/linux/interrupt.h:11,
                 from /usr/include/linux/rtc.h:102,
                 from /usr/include/linux/mc146818rtc.h:15,
                 from .././linux/hostif.c:44:
/usr/include/linux/irq.h:86: error: 'NR_IRQS' undeclared here (not in a function)
In file included from /usr/include/linux/irq.h:95,
                 from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:7,
                 from /usr/include/linux/interrupt.h:11,
                 from /usr/include/linux/rtc.h:102,
                 from /usr/include/linux/mc146818rtc.h:15,
                 from .././linux/hostif.c:44:
/usr/include/asm/hw_irq.h:30: error: 'NR_IRQ_VECTORS' undeclared here (not in a function)
In file included from .././linux/driver.h:20,
                 from .././linux/driver.c:49:
.././include/compat_wait.h:60: error: conflicting types for 'poll_initwait'
/usr/include/linux/poll.h:62: error: previous declaration of 'poll_initwait' was here
.././linux/driver.c:145: warning: initialization from incompatible pointer type
.././linux/driver.c:149: warning: initialization from incompatible pointer type
make[2]: *** [driver.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from .././linux/driver.h:20,
                 from .././linux/hostif.c:57:
.././include/compat_wait.h:60: error: conflicting types for 'poll_initwait'
/usr/include/linux/poll.h:62: error: previous declaration of 'poll_initwait' was here
.././linux/hostif.c: In function 'HostIF_SemaphoreWait':
.././linux/hostif.c:2793: warning: passing argument 1 of 'poll_freewait' from incompatible pointer type
make[2]: *** [hostif.o] Error 1
make[1]: *** [driver] Error 2
make: *** [auto-build] Error 2

!!! ERROR: app-emulation/vmware-modules-1.0.0.15 failed.
Call stack:
  ebuild.sh, line 1545:   Called dyn_compile
  ebuild.sh, line 940:   Called src_compile
  ebuild.sh, line 1254:   Called linux-mod_src_compile
  linux-mod.eclass, line 515:   Called die

!!! Unable to make   auto-build VMWARE_VER=VME_V55.
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! This ebuild is from an overlay: '/usr/local/overlays/vmware'



bigmichi1 linux-2.6.17-gentoo-r2 # find . | grep irq_vect
./include/asm-i386/mach-summit/irq_vectors_limits.h
./include/asm-i386/mach-generic/irq_vectors_limits.h
./include/asm-i386/mach-visws/irq_vectors.h
./include/asm-i386/mach-voyager/irq_vectors.h
./include/asm-i386/mach-default/irq_vectors.h
./include/asm-i386/mach-default/irq_vectors_limits.h
./include/asm-um/irq_vectors.h
Comment 9 Michael Cramer 2006-07-07 13:30:46 UTC
oh here is emerge --info


bigmichi1 linux-2.6.17-gentoo-r2 # emerge --info
Portage 2.1.1_pre2-r4 (default-linux/x86/2006.0, gcc-4.1.1/vanilla, glibc-2.4-r3, 2.6.17-gentoo-2006.0 i686)
=================================================================
System uname: 2.6.17-gentoo-2006.0 i686 Pentium III (Coppermine)
Gentoo Base System version 1.12.1
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: [Not Present]
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium3 -pipe -fomit-frame-pointer -fforce-addr"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/eselect/compiler /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -march=pentium3 -pipe -fomit-frame-pointer -fforce-addr"
DISTDIR="/usr/local/portage/distfiles"
FEATURES="autoconfig collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict test userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="C"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--sort-common"
LINGUAS="de en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/overlays/vmware"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X alsa apache2 apm arts authfile avi berkdb bitmap-fonts bzip2 cairo cli crypt ctype cups curl curlwrappers cvs dbus dlloader doc dri dvdr eds emboss encode esd fontconfig foomaticdb fortran ftp gcj gd gdbm gif glitz gmp gpm gstreamer gtk gtk2 hal hash iconv imap imlib inifile ipv6 isdnlog java jpeg kde kdeenablefinal kdehiddenvisibility ldap libg++ libwww lm_sensors mad memlimit mikmod mmx motif mp3 mpeg mpm-prefork mysql ncurses nfs nls no-old-linux nptl nptlonly ogg opengl oss pam pcre pdflib pear perl php png ppds pppd python qt qt3 qt4 quicktime readline reflection samba sasl sdl session simplexml soap sockets softquota spell spl sql sqlite sse ssl swat symlink tcltk tcpd test tetex truetype truetype-fonts type1-fonts udev unicode vorbis xinetd xml xml2 xmlrpc xmms xorg xpm xsl xv zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux linguas_de linguas_en userland_GNU video_cards_r128"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_RSYNC_EXTRA_OPTS
Comment 10 Andy Lutomirski 2006-07-13 14:19:46 UTC
I found a "bug" (i.e. really a user error, but the ebuild didn't help).  I think I triggered it like this:

emerge vmware-server
vmware-config.pl
[install new kernel]
[reboot]
/etc/init.d/vmware start --> fails (with wrong instructions, too)
vmware-config.pl (yah, I know, wrong)
/etc/init.d/vmware start --> still fails
emerve vmware-modules
/etc/init.d/vmware start --> still fails.  whoops.

To fix this, vmware-modules should probably do 'rm -f /etc/vmware/not_configured' as a post-install step.

I'll post a separate comment to the vmware-server tracker for the failure of vmware-prettify.
Comment 11 Chris Gianelloni (RETIRED) gentoo-dev 2006-07-13 14:41:24 UTC
(In reply to comment #10)
> emerve vmware-modules
> /etc/init.d/vmware start --> still fails.  whoops.
> 
> To fix this, vmware-modules should probably do 'rm -f
> /etc/vmware/not_configured' as a post-install step.

Probably.

In the future, that won't be necessary, but we haven't gotten that far, yet, unfortunately.
Comment 12 Alon Bar-Lev gentoo-dev 2006-08-03 16:45:45 UTC
Created attachment 93384 [details, diff]
000_all_makefile-include-directory.patch

An update to the build so it use KERNEL_DIR and not static /usr/src/linux.
Comment 13 Alon Bar-Lev gentoo-dev 2006-08-03 16:47:51 UTC
(In reply to comment #8)
> today i got this:
> 
> >>> Compiling source in /var/tmp/portage/vmware-modules-1.0.0.15/work ...
>  * Preparing vmmon module
> Using standalone build system.
> In file included from /usr/include/linux/irq.h:23,
>                  from /usr/include/asm/hardirq.h:6,
>                  from /usr/include/linux/hardirq.h:7,
>                  from /usr/include/linux/interrupt.h:11,
>                  from .././linux/driver.c:20:

attachment#93384 [details, diff] should solve this.
Comment 14 Mike Auty gentoo-dev 2006-08-04 00:47:45 UTC
Cool, thanks very much!  I'll add this to the overlay sometime today, and after a few days of testing it, I'll update it on the main tree.  Good catch!  5:)
Comment 15 John J. Aylward 2006-09-01 15:05:18 UTC
Using GCC 4.1.1 I recieved the following error with both vmware-modules-1.0.0.13 and 1.0.0.15

Using 2.6.x kernel build system.
make -C /usr/src/linux/include/.. M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.15-gentoo-r7'
make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
  CC [M]  /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.o
In file included from include/asm/hardirq.h:8,
                 from include/linux/hardirq.h:7,
                 from include/linux/interrupt.h:11,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:20:
include/asm/apic.h: In function 'apic_write_atomic':
include/asm/apic.h:47: warning: value computed is not used
In file included from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.h:20,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:49:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait.h:37:5: warning: "VMW_HAVE_EPOLL" is not defined
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait.h:43:5: warning: "VMW_HAVE_EPOLL" is not defined
In file included from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.h:20,
                 from /var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:49:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait.h: At top level:
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/./include/compat_wait.h:60: error: conflicting types for 'poll_initwait'
include/linux/poll.h:45: error: previous declaration of 'poll_initwait' was here
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:145: warning: initialization from incompatible pointer type
/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.c:149: warning: initialization from incompatible pointer type
make[3]: *** [/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/vmware-modules-1.0.0.15/work/vmmon-only] Error 2
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.15-gentoo-r7'
make: *** [vmmon.ko] Error 2

!!! ERROR: app-emulation/vmware-modules-1.0.0.15 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called linux-mod_src_compile
  linux-mod.eclass, line 469:   Called die

!!! Unable to make   auto-build VMWARE_VER=VME_V55 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/usr/src/linux.
!!! If you need support, post the topmost build error, and the call stack if relevant.



===================== emerge --info ===================

Portage 2.1-r2 (default-linux/amd64/2006.0, gcc-4.1.1, glibc-2.4-r3, 2.6.15 x86_64)
=================================================================
System uname: 2.6.15 x86_64 AMD Athlon(tm) 64 Processor 3700+
Gentoo Base System version 1.12.4
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe -msse3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=k8 -O2 -pipe -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.2/gentoo-portage"
USE="amd64 X aac acl acpi aim alsa apache2 arts audiofile automount avi bash-completion berkdb bitmap-fonts bonjour bzip2 calendar cdparanoia cdr cli crypt cups curl curlwrappers dbus dga dio divx4linux dlloader dri dts dv dvb dvd dvdr dvdread eds emacs emboss encode exif fastcgi fbcon ffmpeg flac foomaticdb fortran ftp gd gdbm gif gimp glut gnome gphoto2 gpm gstreamer gtk gtk2 hal icq ieee1394 imap imlib ipv6 isdnlog jabber java javamail jikes jpeg jpeg2k junit kde kdeenablefinal logitech-mouse lzw lzw-tiff mad mime mng mono mozdevelop mozilla mp3 mpeg msn mysql ncurses nls no-old-linux nptl nptlonly nsplugin ogg oggvorbis openal openexr opengl oscar pam pcre pdf pdflib perl png ppds pppd python qt qt3 qt4 quicktime rdesktop readline reflection samba sdl session snmp spell spl ssl startup-notification svg tcl tcltk tcpd tetex tidy tiff tk truetype truetype-fonts type1-fonts udev unicode usb vhosts vim-pager vorbis wmf xcomposite xine xinerama xml xml2 xmms xorg xpm xprint xscreensaver xv yahoo zeroconf zlib elibc_glibc input_devices_keyboard input_devices_mouse kernel_linux userland_GNU video_cards_fglrx video_cards_radeon video_cards_vesa video_cards_vga"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 16 Mike Auty gentoo-dev 2006-09-01 16:42:33 UTC
Hi John, it might be best to file your problem as a different bug, and mark it as blocking this one.  I'm afraid I don't have an immediate solution for you.  We had problems in the past with compiler warning problems making the option tests fail, and then causing the modules to build with the wrong options, but we've had these working with I thought all gcc's for quite a while now.

We're probably going to have resort to digging around in the makefiles and trying to pull out the output from the test programs that get compiled, but I'd like to understand what differentiates your setup from other users who've managed to install it ok.  The only two items that I can really see that might be related are the kernel being 2.6.15 (although that really ought to work) and the fact that it's being compiled for a 64-bit system.

To start with, please file this separately, and that'll remind to come look at it again after I've got a chance to dig around in the makefile tomorrow morning and pull you out a patch to try out for me.  Thanks...  5:)
Comment 17 Georgi Georgiev 2006-09-01 19:48:59 UTC
(In reply to comment #16)
> like to understand what differentiates your setup from other users who've
> managed to install it ok.  The only two items that I can really see that might
> be related are the kernel being 2.6.15 (although that really ought to work) and
> the fact that it's being compiled for a 64-bit system.

I just recompiled vmware-modules on my amd64 (kernel is 2.6.17.11) and it worked fine. BTW, there is a vmware-workstation 5.5.2-29772, so the ebuilds could use a bump.
Comment 18 christopher 2006-09-02 07:26:35 UTC
(In reply to comment #13)

When using the vmware-modules-1.0.0.15 ebuild, I get this:

Backfoot vmware-server # emerge vmware-server
Calculating dependencies... done!
>>> Emerging (1 of 2) app-emulation/vmware-modules-1.0.0.15 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking VMware-server-1.0.1-29996.tar.gz ;-)
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.16-gentoo-r9
>>> Unpacking source...
>>> Unpacking VMware-server-1.0.1-29996.tar.gz to /var/tmp/portage/vmware-modules-1.0.0.15/work
>>> Unpacking ./vmware-server-distrib/lib/modules/source/vmmon.tar to /var/tmp/portage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                                                                                                    [ ok ] * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...                                                                                  [ ok ]>>> Unpacking ./vmware-server-distrib/lib/modules/source/vmnet.tar to /var/tmp/portage/vmware-modules-1.0.0.15/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                                                                                                    [ ok ] * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...                                                                                  [ ok ]>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/vmware-modules-1.0.0.15/work ...
 * Preparing vmmon module
Using standalone build system.
In file included from /usr/include/linux/irq.h:21,
                 from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:6,
                 from /usr/include/linux/interrupt.h:11,
                 from ../linux/driver.c:20:
/usr/include/asm/irq.h:16:25: irq_vectors.h: No such file or directory
In file included from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:6,
                 from /usr/include/linux/interrupt.h:11,
                 from ../linux/driver.c:20:
/usr/include/linux/irq.h:72: error: `NR_IRQS' undeclared here (not in a function)
In file included from /usr/include/linux/irq.h:74,
                 from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:6,
                 from /usr/include/linux/interrupt.h:11,
                 from ../linux/driver.c:20:
/usr/include/asm/hw_irq.h:28: error: `NR_IRQ_VECTORS' undeclared here (not in a function)
/usr/include/asm/hw_irq.h:32: error: `NR_IRQS' undeclared here (not in a function)
In file included from /usr/include/asm/hardirq.h:6,
                 from /usr/include/linux/hardirq.h:6,
                 from /usr/include/linux/interrupt.h:11,
                 from ../linux/driver.c:20:
/usr/include/linux/irq.h:79: error: `NR_IRQS' undeclared here (not in a function)
make[2]: *** [driver.o] Error 1
make[1]: *** [driver] Error 2
make: *** [auto-build] Error 2

!!! ERROR: app-emulation/vmware-modules-1.0.0.15 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called linux-mod_src_compile
  linux-mod.eclass, line 469:   Called die

!!! Unable to make   auto-build VMWARE_VER=VME_V55.
!!! If you need support, post the topmost build error, and the call stack if relevant.

The 000_all_makefile-include-directory.patch is being applied as far as it appears. Any ideas?
Comment 19 christopher 2006-09-02 07:28:13 UTC
I guess this would help, no?

Backfoot vmware-server # emerge --info
Portage 2.1_rc4-r4 (default-linux/x86/2005.1, gcc-3.3.6, glibc-2.3.6-r2, 2.6.16-gentoo-r9 i686)
=================================================================
System uname: 2.6.16-gentoo-r9 i686 AMD Athlon(tm) XP 2400+
Gentoo Base System version 1.12.0_pre15
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.3.5, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer -mno-push-args -maccumulate-outgoing-args -fprefetch-loop-arrays -mmmx -m3dnow"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer -mno-push-args -maccumulate-outgoing-args -fprefetch-loop-arrays -mmmx -m3dnow"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/portage-xgl"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X a52 aac alsa apm artworkextra avi berkdb bitmap-fonts browserplugin cdr cli crypt cups dlloader dri dv dvd dvdr eds emboss encode firefox firewire foomaticdb fortran gdbm gif gnome gphoto gphoto2 gpm gstreamer gtk gtk2 howl ieee1394 imlib ipod ipv6 isdnlog ithreads jpeg libg++ libwww mad matroska mikmod mmx mmxext mono motif mp3 mpeg mplayer nautilus ncurses nfs nls nsplugin nv nvidia ogg oggvorbis opengl oss pam pcre pdflib perl png pppd python qt3 qt4 quicktime readline reflection sdl session spell spl sse sse2 ssl svg tcpd theora truetype truetype-fonts type1-fonts vcd vidix vorbis win32codecs xml2 xmms xorg xv zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU video_cards_vesa video_cards_nv"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 20 Mike Auty gentoo-dev 2006-09-02 11:45:21 UTC
Christopher, you've got several unusual flags in your CFLAGS variable, so just to ensure it isn't one of those causing the problem, could you please trim it (and CXXFLAGS) down to "-O2 -march=athlon-xp -pipe -fomit-frame-pointer" please?

Also can you ensure that you don't have any extra files hanging around in your /usr/local/portage directory, such as an old vmware-mod.eclass file, or similar?  The output from your emerge command seems to indicate you're using an old version of this and not the one in portage.  If you can find why that's occuring and remove the offending eclass, try it again and let me know if it compiles ok.  If it still isn't compiling ok could you please write it up in a separate bug.

Since these ebuilds are in portage, I may well close this bug down soon, and have people file individual bugs, so make it easier for me to keep track of them.  Thanks...  5:)
Comment 21 John J. Aylward 2006-09-02 22:12:41 UTC
(In reply to comment #16)
> Hi John, it might be best to file your problem as a different bug, and mark it
> as blocking this one.  I'm afraid I don't have an immediate solution for you. 

someone else posted a bug 146004 that looks very similar to the problem I had, let me know if I need to post another one, or if that one looks close enough



(In reply to comment #17)
> (In reply to comment #16)
> > like to understand what differentiates your setup from other users who've
> > managed to install it ok.  The only two items that I can really see that might
> > be related are the kernel being 2.6.15 (although that really ought to work) and
> > the fact that it's being compiled for a 64-bit system.
> 
> I just recompiled vmware-modules on my amd64 (kernel is 2.6.17.11) and it
> worked fine. BTW, there is a vmware-workstation 5.5.2-29772, so the ebuilds
> could use a bump.
> 

I have 2 amd64 machines, one is dual core and compiled the vmware-module fine. The singlecore amd64 is the one having the problem. Not sure if that's the actual issue, or if it's just configuration. Want me to post the dualcore (working) emerge --info?
Comment 22 Kurt Dillen 2006-09-03 01:10:36 UTC
(In reply to comment #21)
> (In reply to comment #16)
> > Hi John, it might be best to file your problem as a different bug, and mark it
> > as blocking this one.  I'm afraid I don't have an immediate solution for you. 
> someone else posted a bug 146004 that looks very similar to the problem I had,
> let me know if I need to post another one, or if that one looks close enough

It is the same problem.  

> I have 2 amd64 machines, one is dual core and compiled the vmware-module fine.
> The singlecore amd64 is the one having the problem. Not sure if that's the
> actual issue, or if it's just configuration. Want me to post the dualcore
> (working) emerge --info?

I don't think it is an dual core or single core issue.  I have the problem on a dual core system.  And on a single core system everything is working fine.  Even better that system was already on gcc 4.1.1 and glibc 2.4* since I installed it several months ago.  

So maybe it is better to post information about this specific problem in the new bug report.

Comment 23 Alon Bar-Lev gentoo-dev 2006-09-13 05:29:37 UTC
(In reply to comment #14)
> Cool, thanks very much!  I'll add this to the overlay sometime today, and after
> a few days of testing it, I'll update it on the main tree.  Good catch!  5:)

I see you added this to your overlay, but when will it be available in portage? It is very important to users who work with multiple kernels.
Thanks!
Comment 24 Mike Auty gentoo-dev 2006-09-13 09:02:31 UTC
Yep, sorry, my bad.  I was away for a week on business and sadly forgot, I appologize.  Thanks for giving me a prod, I'll try and get it into portage tonight, after I run a couple of tests on >vmware-modules-1.0.0.15.  If anyone has tried this (ie modules for workstation or player) using the overlay in the past week and could let me know whether it worked or not, it'd help give me confidence it's ready for the main release.  Thanks...  5:)
Comment 25 Mike Auty gentoo-dev 2007-03-04 20:40:22 UTC
Ok, I'm going to close this bug, since the overlay is now only for testing.